<?php
require_once('phptap.php');
require_once('tapunit.php');
$tap = new phptap();

class tests
{
	public static function run($tap)
	{
		$tap->print_header('phptap example testsuite');
		$tap->ok(true, "Passing test");
		$tap->ok(false, "Failing test");
		$tap->ok(false, "Failing test with string type diag output");
		$tap->diag("The test failed");
		$tap->ok(false, "Failing test with bool type diag output");
		$tap->diag(false);
		$tap->ok(false, "Known breakage", TAP_TODO);
		$tap->ok(false, "A single (failed) skipped test", TAP_SKIP);
		$tap->ok(true, "'fixed' test", TAP_TODO);
		$tap->ok(9, "Buggy test");
		$tap->ok(!!9, "No longer buggy test");
		$tap->ok(is_array(array('nisse')), 'An array is an array');
		$tap->ok_eq(1, '1', "1 and '1' are similar");
		$tap->ok(1 === 1, "1 and 1 are equal");
		$tap->ok(1, "nisse", "A failed test");
		$tap->ok_eq(1, "nisse", "knowingly failed test", TAP_TODO);
		$tap->skip_start();
		$tap->ok(true, "Skipping OK test");
		$tap->ok_eq(1, "nisse", "Skipping failed test");
		$tap->ok_eq(1, "nisse", "Skipping todo test", TAP_TODO);
		$tap->skip_end();
		$tap->skip_start('Skipping 1 test with a reason', 1);
		$tap->ok_eq(1, "nisse", "This output should be hidden");
		$tap->ok_id(1, 1, "1 and 1 are identical");
		$tap->ok_id('x', array('nisse'), "fail on purpose");
		$tap->diag(array('multi' => array('dimensional' => array('array'))));
		$tap->ok_id('x', array('nisse'), "known breakage", TAP_TODO);
		$ret = $tap->done();
	}
}

tests::run($tap);

class unittests extends TapUnit
{
	function testOk()
	{
		$this->ok(true, "Passing test");
	}

	function testEq()
	{
		$this->ok_eq(1, 1, "1 and 1 are equal");
	}

	function testFail()
	{
		$this->ok(false, "Failing test");
	}
}
runUnit('unittests', $tap);

# new test suite starts here, re-using the old $tap object
# This is actually a real test of the strip_html() function in the
# php-tap function
exit($tap->self_test());
