Feature: Commands
	Add and delete, and see that there's a metadata link

	@asmonitor @nacoma
	Scenario: Create command
		When I click "Commands"
		And I enter "test_command" into "command[new][command_name]"
		And I enter "some_stuff" into "command[new][command_line]"
		And I click "Submit"
		Then I should see "Successfully changed 1 command object"
		When I click "copy"
		Then "command[new][command_line]" should contain "some_stuff"
		When I save config

	@case-581
	@asmonitor @nacoma
	Scenario: Test command via service
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		Then "check_ping" should be selected from "check_command"
		And I click "Edit check command"
		Then "command_name" should contain "check_ping"
		When I click "Test this command"
		Then I should see button "Continue"
		And "cmdString" should contain "$USER2$/check_icmp -H $HOSTADDRESS$ -w $ARG1$ -c $ARG2$ -n 5"
		When I enter "$USER2$/check_icmp -H 127.0.0.1 -n 5" into "cmdString"
		And I click "Continue"
		Then I should see "Result code: 0"
		When I click "Hide test form"
		Then I shouldn't see "Result code"
		And I should see button "Test this command"

	@asmonitor @nacoma
	Scenario: Test command with doublequotes
		When I click "Commands"
		And I select "check-host-alive"
		And I click "Go"
		Then "command_name" should contain "check-host-alive"
		When I click "Test this command"
		Then "cmdString" should contain "$USER2$/check_host -H $HOSTADDRESS$"
		When I enter "$USER2$/check_host -H 127.0.0.1" into "cmdString"
		And I click "Continue"
		Then I should see "OK - 127.0.0.1 responds to ICMP"

	@asmonitor @nacoma
	Scenario: Delete command
		When I click "Commands"
		And I select "test_command"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 command object"
		When I save config

	@asmonitor @nacoma
	Scenario: Syntax help
		When I click "Commands"
		And I select "check_ping"
		And I click "Go"
		And I click "Syntax help"
		Then I should see "Plugin syntax"

	# Make more expressive
	@todo
	@asmonitor @nacoma
	Scenario: Command import
		When I click "Check command import"
		Then I should see "Plugins with new check commands available"
