Feature: Contacts
	Add and delete a contact

	@case-614
	@asmonitor @nacoma
	Scenario: Add contact
		When I click "Contacts"
		And I enter "test_contact" into "contact[new][contact_name]"
		And I enter "some stuff" into "contact[new][alias]"
		And I check "contact[new][host_notification_options][u]"
		And I check "contact[new][host_notification_options][f]"
		And I check "contact[new][service_notification_options][u]"
		And I check "contact[new][service_notification_options][f]"
		And I enter "test_email" into "contact[new][email]"
		And I click "Submit"
		Then I should see "Successfully changed 1 contact object"
		When I save config

	@case-615
	@asmonitor @nacoma
	Scenario: Edit contact
		When I click "Contacts"
		And I select "test_contact"
		And I click "Go"
		And I enter "other_email" into "email"
		And I click "Submit"
		Then I should see "Successfully changed 1 contact object"
		And I save config

	@case-616
	@asmonitor @nacoma
	Scenario: Copy contact
		When I click "Contacts"
		And I select "test_contact"
		And I click "Go"
		And I click "copy"
		Then "contact[new][alias]" should contain "some stuff"
		When I enter "test_contact2" into "contact_name"
		And I click "Submit"
		Then I should see "Successfully changed 1 contact object"
		When I save config

	@asmonitor @nacoma
	Scenario: Delete contact
		When I click "Contacts"
		And I select "test_contact2"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 contact object" waiting patiently
		When I save config

	@case-618
	@asmonitor @nacoma
	Scenario: Delete contact
		When I click "Contacts"
		And I select "test_contact"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 contact object" waiting patiently
		When I save config

	@asmonitor @nacoma
	Scenario: Create access rights and contact at the same time
		When I click "Contacts"
		And I enter "my_access_contact" into "contact[new][contact_name]"
		And I enter "my_access_contact" into "contact[new][alias]"
		And I check "enable_access"
		And I select "admins" from "contact_tmp[new][groups][]"
		And I doubleclick "admins" from "contact_tmp[new][groups][]"
		And I enter "abc123" into "contact[new][password][1]"
		And I enter "abc123" into "contact[new][password][2]"
		And I click "Submit"
		Then I should see "Successfully changed 1 contact object"
		When I click "Local Users"
		Then I should see "my_access_contact"

	@asmonitor @nacoma
	Scenario: Delete access rights and contact
		# cleaning up the scenario "Create access rights and contact at the same time"
		When I click "Contacts"
		And I select "my_access_contact"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 contact object" waiting patiently

		Given I am on address "/monitor/op5/nacoma/edit_special.php/access?action=delete&delete=my_access_contact"
		Then I should see "Removing user 'my_access_contact'"
