Feature: Nacoma helptexts
	Test that all objects' helptexts work.
	The tabular form for the actual helptexts should hopefully make these tests
	fairly readable and modifiable.

	Note that the table headers may not be edited.

	@case-559
	@asmonitor @nacoma
	Scenario: New host helptexts
		When I click "Add new hosts"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| Add this host? | If you select no here the host will not be added. This is useful if you have a list of hosts after doing a Network scan and you only want to add a few. |
			| template | The name of a template to use for this object. Templates can be used to set 'default' values for variables that normally doesn't change. By doing this you don't need to configure these variables every time you configure a new host, service or some other object. |
			| host_name | Identifies a host in op5 Monitor. Many hosts can share the same IP, but no two hosts can have the same host_name |
			| alias | A longer description of the object. Tip: use descriptions that makes it easier to understand what kind of object this is. For example, 'Core switch1 at main office' for a host or perhaps 'John Doe' for a contact. |
			| address | IP address or resolvable host name. Note: Using DNS names can make monitoring dependent of a working DNS. |
			| contact_groups | List of references to contactgroup_name. Tells monitor which contacts should receive notifications when the service / host in question changes state. |
			| hostgroups | Tells op5 Monitor which hostgroup a host belongs to. A host can be a member of several hostgroups, or none at all. Hostgroups is mainly used for visual presentation and reporting. |
			| parents | Defines the network hierarchy. The structure is defined as a upside down tree with op5 Monitor on top. The host that op5 Monitor is connected to (the switch) should have op5 Monitor as parent. It is possible to have more than one parent. By defining parents the system can detect network outages, hosts that are unreachable and therefore be more specific when sending out notifications and with the data that is presented in the GUI. |
			| Autodetect Services | Tells op5 Monitor to do a port scan to find installed agents and ports that can be monitored. |
			| Service Checks | Lets you add default checks for agents even if they are not installed and therefore not detected yet. |
			| action_url | This directive is used to define an optional URL that can be used to provide more actions on the host. If you specify an URL, you will see a link that says, Extra Host Actions, when you are viewing information about the specified host. Any valid URL can be used. |
			| Host logo | This lets you set a logo for the host you're adding. The logo will be displayed in the status cgis and on the status and network maps. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-562
	@asmonitor @nacoma
	Scenario: Hostdependency helptexts
		When I click "Go"
		And I click "Dependencies"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| host_name | Identifies a host in op5 Monitor. Many hosts can share the same IP, but no two hosts can have the same host_name |
			| dependency_period | A timeperiod during which this dependency should be active. |
			| execution_failure_criteria | This is used to define when the dependent service should not actively be checked. Valid options are one or a combination of Critical, Warning, Unknown, OK or Pending. |
			| notification_failure_criteria | This is used to define when notifications for the dependent service should not be sent out. Valid options are one or a combination of Critical, Warning, Unknown, OK or Pending. |
			| inherits_parent | Tells whether or not to inherit dependencies from the service that it is being depended upon. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-566
	@asmonitor @nacoma
	Scenario: Hostescalation helptexts
		When I click "Go"
		And I click "escalations"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| contacts | This is a list of the contacts that should be notified whenever there are problems (or recoveries) with this object. Useful if you want notifications to go to just a few people and don't want to configure contact groups. |
			| contact_groups | List of references to contactgroup_name. Tells monitor which contacts should receive notifications when the service / host in question changes state. |
			| first_notification | This defines the first notification for which this escalation is valid. |
			| notification_interval | This configures the time interval (in minutes) between notifications when a host or service is in a non-OK state. If you set this to 0 only one notification will be sent out, this is considered best practice. If you set this to 10 a notification will be sent out every 10 minutes. |
			| escalation_period | During which time_period this escalation is valid. |
			| escalation_options | Defines when this escalation is valid. Can be a either all or a combination of Critical, Warning, Unknown and Recovery |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |
	
	@case-570
	@asmonitor @nacoma
	Scenario: Host helptexts
		When I click "Go"
		And I click "advanced"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| template | The name of a template to use for this object. Templates can be used to set 'default' values for variables that normally doesn't change. By doing this you don't need to configure these variables every time you configure a new host, service or some other object. |
			| host_name | Identifies a host in op5 Monitor. Many hosts can share the same IP, but no two hosts can have the same host_name |
			| alias | A longer description of the object. Tip: use descriptions that makes it easier to understand what kind of object this is. For example, 'Core switch1 at main office' for a host or perhaps 'John Doe' for a contact. |
			| address | IP address or resolvable host name. Note: Using DNS names can make monitoring dependent of a working DNS. |
			| display_name | This directive is used to define an alternate name that should be displayed in the web interface for this object. Note: The current CGIs do not use this option, although future versions of the web interface will.|
			| initial_state | By default op5 Monitor will assume that all hosts are in UP states when in starts. You can override the initial state for an object by using this directive. Note that this has no effect if state retention is enabled, which is the default on op5 installations. |
			| hostgroups | Tells op5 Monitor which hostgroup a host belongs to. A host can be a member of several hostgroups, or none at all. Hostgroups is mainly used for visual presentation and reporting. |
			| parents | Defines the network hierarchy. The structure is defined as a upside down tree with op5 Monitor on top. The host that op5 Monitor is connected to (the switch) should have op5 Monitor as parent. It is possible to have more than one parent. By defining parents the system can detect network outages, hosts that are unreachable and therefore be more specific when sending out notifications and with the data that is presented in the GUI. |
			| children | Children is like parents but the other way around :). You can use it to configure parent relationships from the top and down instead of from the bottom and up which can be a real time save, specially if you configure children for a switch. |
			| check_command | Reference pointer to command_name. This tells Monitor which command should be run to determine status of the host or service. |
			| check_command_args | Arguments that can be passed to the command_name. Some check_commands needs arguments and some doesn't, the easiest way to find out is to take a look at the actual command. If you need to define several arguments, separate them with '!' |
			| contacts | This is a list of the contacts that should be notified whenever there are problems (or recoveries) with this object. Useful if you want notifications to go to just a few people and don't want to configure contact groups. |
			| contact_groups | List of references to contactgroup_name. Tells monitor which contacts should receive notifications when the service / host in question changes state. |
			| max_check_attempts | Tells op5 Monitor how many times it should retry a service / host before it the status changes to HARD. It is only when a service / host changes its HARD state that a notification is sent out. The service / host will, however, be displayed in accordance to it's SOFT state in the web interface immediately when the state changes. |
			| check_interval | Tells Monitor how often (in minutes) it should check the services. |
			| retry_interval | Tells op5 Monitor how many minutes it should wait before retrying a check that is in a non-OK state. |
			| check_period | This directive is used to specify during which time_period active checks for this host could be executed. |
			| check_freshness | This option is used for checking the freshness of a passive service result. Also see the freshness_threshold variable.|
			| freshness_threshold | Here you can configure the freshness threshold for passive checks in seconds. If you set this to 0, op5 Monitor will automatically determine the threshold. |
			| active_checks_enabled | Tells op5 Monitor whether or not active checks should be performed for this host or service. An active check is when op5 Monitor does the check opposite to passive checks where Monitor receives the check result from an external source |
			| event_handler | Defines the command that should be run if event handlers are enabled and a status change just occurred. Event handler commands can for example be used to have monitor do something specific if a service goes critical. |
			| event_handler_args | Let you pass arguments to the event handler script |
			| event_handler_enabled | Tells op5 Monitor if event handlers (if configured) should be enabled. This lets op5 Monitor take actions in the event of a status change for a host or service by running an event handler script. |
			| low_flap_threshold | Flap detection is used to suppress notifications in case of 'unstable' hosts or services. This value defines the lower threshold for flapping hosts or services. When this value is reached the host or service is considered not flapping anymore and exits 'flapping state'. The default value is 5 |
			| high_flap_threshold | Flap detection is used to suppress notifications in case of 'flapping' hosts or services. This value defines the upper threshold for status changes of the host or service in percent. When this value is reached the host or service is considered to be flapping. The default value is 20 |
			| flap_detection_enabled | If a host or service pends between an OK and a not OK state, the host / service enters 'flapping' state. Notifications are suppressed the state flapping is displayed in the op5 Monitor GUI. |
			| flap_detection_options | This directive is used to determine what service states the flap detection logic will use for this object. |
			| process_perf_data | Tells monitor whether or not it should log processing performance data. Performance data is check output in a bit more computer friendly format. In op5 Monitor it is used to create graphs for services |
			| retain_nonstatus_information | Tells op5 Monitor whether or not it should auto-save extra information about the host / service every hour. This is useful for continuance in services checking CPU Load, interface traffic and other checks where a longer-term average can be used to define what's critical and such. |
			| notification_interval | This configures the time interval (in minutes) between notifications when a host or service is in a non-OK state. If you set this to 0 only one notification will be sent out, this is considered best practice. If you set this to 10 a notification will be sent out every 10 minutes. |
			| notification_period | Reference to timeperiod_name.Tells monitor during which times notifications should be sent. The date and time of the state change must be within BOTH this period AND the contacts configured period. |
			| notification_options | Defines what notifications that should be sent out for this particular contact. Can be either any combination of down, unreachable, recovery, flapping, or none. |
			| notifications_enabled | Tells monitor if notifications should be sent out when this host or service changes state. If this is set to no, NO notifications will be sent out. |
			| stalking_options | Stalking is a debug feature that makes op5 Monitor log every status change for a specific host or service. This directive lets you configure what status changes it should log. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |
			| icon_image | Defines the icon that will be used at status pages in the web GUI |
			| icon_image_alt | Definies the alt text that appears when you put the cursor over the icon. |
			| statusmap_image | The icon to use for the host in status map and network map |
			| notes | Free text field where you can enter more descriptive information for the Host or Service |
			| action_url | This directive is used to define an optional URL that can be used to provide more actions on the host. If you specify an URL, you will see a link that says, Extra Host Actions, when you are viewing information about the specified host. Any valid URL can be used. |
			| notes_url | Here you can store an URL of your own choice, the idea is that you should be able to create a link to a specific documentation page for the host or service. On the op5 System we provide a wiki for this purpose, try setting the notes URL to '/dokuwiki/doku.php/hosts/$HOSTNAME$' for your host or '/dokuwiki/doku.php/hosts/$HOSTNAME$/<service identifier>' for services |

	@case-588
	@asmonitor @nacoma
	Scenario: Host template helptexts
		When I click "Host templates"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| name | The name to use when the object is being called as a template. Variables set within the object in question always overrides those set in the used template(s). |
			| display_name | This directive is used to define an alternate name that should be displayed in the web interface for this object. Note: The current CGIs do not use this option, although future versions of the web interface will.|
			| initial_state | By default op5 Monitor will assume that all hosts are in UP states when in starts. You can override the initial state for an object by using this directive. Note that this has no effect if state retention is enabled, which is the default on op5 installations. |
			| hostgroups | Tells op5 Monitor which hostgroup a host belongs to. A host can be a member of several hostgroups, or none at all. Hostgroups is mainly used for visual presentation and reporting. |
			| parents | Defines the network hierarchy. The structure is defined as a upside down tree with op5 Monitor on top. The host that op5 Monitor is connected to (the switch) should have op5 Monitor as parent. It is possible to have more than one parent. By defining parents the system can detect network outages, hosts that are unreachable and therefore be more specific when sending out notifications and with the data that is presented in the GUI. |
			| children | Children is like parents but the other way around :). You can use it to configure parent relationships from the top and down instead of from the bottom and up which can be a real time save, specially if you configure children for a switch. |
			| check_command | Reference pointer to command_name. This tells Monitor which command should be run to determine status of the host or service. |
			| check_command_args | Arguments that can be passed to the command_name. Some check_commands needs arguments and some doesn't, the easiest way to find out is to take a look at the actual command. If you need to define several arguments, separate them with '!' |
			| contacts | This is a list of the contacts that should be notified whenever there are problems (or recoveries) with this object. Useful if you want notifications to go to just a few people and don't want to configure contact groups. |
			| contact_groups | List of references to contactgroup_name. Tells monitor which contacts should receive notifications when the service / host in question changes state. |
			| max_check_attempts | Tells op5 Monitor how many times it should retry a service / host before it the status changes to HARD. It is only when a service / host changes its HARD state that a notification is sent out. The service / host will, however, be displayed in accordance to it's SOFT state in the web interface immediately when the state changes. |
			| check_interval | Tells Monitor how often (in minutes) it should check the services. |
			| retry_interval | Tells op5 Monitor how many minutes it should wait before retrying a check that is in a non-OK state. |
			| check_period | This directive is used to specify during which time_period active checks for this host could be executed. |
			| check_freshness | This option is used for checking the freshness of a passive service result. Also see the freshness_threshold variable.|
			| freshness_threshold | Here you can configure the freshness threshold for passive checks in seconds. If you set this to 0, op5 Monitor will automatically determine the threshold. |
			| active_checks_enabled | Tells op5 Monitor whether or not active checks should be performed for this host or service. An active check is when op5 Monitor does the check opposite to passive checks where Monitor receives the check result from an external source |
			| event_handler | Defines the command that should be run if event handlers are enabled and a status change just occurred. Event handler commands can for example be used to have monitor do something specific if a service goes critical. |
			| event_handler_args | Let you pass arguments to the event handler script |
			| event_handler_enabled | Tells op5 Monitor if event handlers (if configured) should be enabled. This lets op5 Monitor take actions in the event of a status change for a host or service by running an event handler script. |
			| low_flap_threshold | Flap detection is used to suppress notifications in case of 'unstable' hosts or services. This value defines the lower threshold for flapping hosts or services. When this value is reached the host or service is considered not flapping anymore and exits 'flapping state'. The default value is 5 |
			| high_flap_threshold | Flap detection is used to suppress notifications in case of 'flapping' hosts or services. This value defines the upper threshold for status changes of the host or service in percent. When this value is reached the host or service is considered to be flapping. The default value is 20 |
			| flap_detection_enabled | If a host or service pends between an OK and a not OK state, the host / service enters 'flapping' state. Notifications are suppressed the state flapping is displayed in the op5 Monitor GUI. |
			| flap_detection_options | This directive is used to determine what service states the flap detection logic will use for this object. |
			| process_perf_data | Tells monitor whether or not it should log processing performance data. Performance data is check output in a bit more computer friendly format. In op5 Monitor it is used to create graphs for services |
			| retain_nonstatus_information | Tells op5 Monitor whether or not it should auto-save extra information about the host / service every hour. This is useful for continuance in services checking CPU Load, interface traffic and other checks where a longer-term average can be used to define what's critical and such. |
			| notification_interval | This configures the time interval (in minutes) between notifications when a host or service is in a non-OK state. If you set this to 0 only one notification will be sent out, this is considered best practice. If you set this to 10 a notification will be sent out every 10 minutes. |
			| notification_period | Reference to timeperiod_name.Tells monitor during which times notifications should be sent. The date and time of the state change must be within BOTH this period AND the contacts configured period. |
			| notification_options | Defines what notifications that should be sent out for this particular contact. Can be either any combination of down, unreachable, recovery, flapping, or none. |
			| notifications_enabled | Tells monitor if notifications should be sent out when this host or service changes state. If this is set to no, NO notifications will be sent out. |
			| stalking_options | Stalking is a debug feature that makes op5 Monitor log every status change for a specific host or service. This directive lets you configure what status changes it should log. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |
			| icon_image | Defines the icon that will be used at status pages in the web GUI |
			| icon_image_alt | Definies the alt text that appears when you put the cursor over the icon. |
			| statusmap_image | The icon to use for the host in status map and network map |
			| notes | Free text field where you can enter more descriptive information for the Host or Service |
			| action_url | This directive is used to define an optional URL that can be used to provide more actions on the host. If you specify an URL, you will see a link that says, Extra Host Actions, when you are viewing information about the specified host. Any valid URL can be used. |
			| notes_url | Here you can store an URL of your own choice, the idea is that you should be able to create a link to a specific documentation page for the host or service. On the op5 System we provide a wiki for this purpose, try setting the notes URL to '/dokuwiki/doku.php/hosts/$HOSTNAME$' for your host or '/dokuwiki/doku.php/hosts/$HOSTNAME$/<service identifier>' for services |

	@case-602
	@asmonitor @nacoma
	Scenario: Host group helptexts
		And I click "Host groups"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| hostgroup_name | Identifies a hostgroup in op5 Monitor. This, like ALL variables ending in '_name', must be a unique name. |
			| alias | A longer description of the object. Tip: use descriptions that makes it easier to understand what kind of object this is. For example, 'Core switch1 at main office' for a host or perhaps 'John Doe' for a contact. |
			| members | A list of objects (i.e. host_name for hostgroups or contacts for contactgroups). |
			| notes | Free text field where you can enter more descriptive information for the Host or Service |
			| notes_url | Here you can store an URL of your own choice, the idea is that you should be able to create a link to a specific documentation page for the host or service. On the op5 System we provide a wiki for this purpose, try setting the notes URL to '/dokuwiki/doku.php/hosts/$HOSTNAME$' for your host or '/dokuwiki/doku.php/hosts/$HOSTNAME$/<service identifier>' for services. |
			| action_url | This directive is used to define an optional URL that can be used to provide more actions on the host. If you specify an URL, you will see a link that says, Extra Host Actions, when you are viewing information about the specified host. Any valid URL can be used. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it |

	@case-573
	@asmonitor @nacoma
	Scenario: Servicedependency helptexts
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click xpath "//form[@id='bar_form']//input[@value='Go'][@type='submit']"
		And I click "dependencies"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| service | A service this object refers to (host;service) |
			| dependency_period | A timeperiod during which this dependency should be active.|
			| execution_failure_criteria | This is used to define when the dependent service should not actively be checked. Valid options are one or a combination of Critical, Warning, Unknown, OK or Pending.|
			| notification_failure_criteria | This is used to define when notifications for the dependent service should not be sent out. Valid options are one or a combination of Critical, Warning, Unknown, OK or Pending. |
			| inherits_parent | Tells whether or not to inherit dependencies from the service that it is being depended upon. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-577
	@asmonitor @nacoma
	Scenario: Serviceescalation helptexts
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click xpath "//form[@id='bar_form']//input[@value='Go'][@type='submit']"
		And I click "escalations"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| contacts | This is a list of the contacts that should be notified whenever there are problems (or recoveries) with this object. Useful if you want notifications to go to just a few people and don't want to configure contact groups. |
			| contact_groups | List of references to contactgroup_name. Tells monitor which contacts should receive notifications when the service / host in question changes state. |
			| first_notification | This defines the first notification for which this escalation is valid. |
			| last_notification | This defines the last notification for which this escalation is valid. |
			| notification_interval | This configures the time interval (in minutes) between notifications when a host or service is in a non-OK state. If you set this to 0 only one notification will be sent out, this is considered best practice. If you set this to 10 a notification will be sent out every 10 minutes. |
			| escalation_period | During which time_period this escalation is valid. |
			| escalation_options | Defines when this escalation is valid. Can be a either all or a combination of Critical, Warning, Unknown and Recovery |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-582
	@asmonitor @nacoma
	Scenario: Service helptexts
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click xpath "//form[@id='bar_form']//input[@value='Go'][@type='submit']"
		And I click "advanced"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| template | The name of a template to use for this object. Templates can be used to set 'default' values for variables that normally doesn't change. By doing this you don't need to configure these variables every time you configure a new host, service or some other object. |
			| service_description | A description of the service in question. This (together with 'host_name') also identifies the service, so a host can't have two services with identical descriptions. |
			| display_name | This directive is used to define an alternate name that should be displayed in the web interface for this object. Note: The current CGIs do not use this option, although future versions of the web interface will.|
			| is_volatile | Volatile services differ from "normal" services in three important ways |
			| check_command | Reference pointer to command_name. This tells Monitor which command should be run to determine status of the host or service. |
			| check_command_args | Arguments that can be passed to the command_name. Some check_commands needs arguments and some doesn't, the easiest way to find out is to take a look at the actual command. If you need to define several arguments, separate them with '!' |
			| servicegroups | A list of service groups that this service is a member of. |
			| initial_state | By default op5 Monitor will assume that all hosts are in UP states when in starts. You can override the initial state for an object by using this directive. Note that this has no effect if state retention is enabled, which is the default on op5 installations. |
			| max_check_attempts | Tells op5 Monitor how many times it should retry a service / host before it the status changes to HARD. It is only when a service / host changes its HARD state that a notification is sent out. The service / host will, however, be displayed in accordance to it's SOFT state in the web interface immediately when the state changes. |
			| check_interval | Tells Monitor how often (in minutes) it should check the services. |
			| retry_interval | Tells op5 Monitor how many minutes it should wait before retrying a check that is in a non-OK state. |
			| active_checks_enabled | Tells op5 Monitor whether or not active checks should be performed for this host or service. An active check is when op5 Monitor does the check opposite to passive checks where Monitor receives the check result from an external source |
			| passive_checks_enabled | Tells whether this service accept passive check results or not. Passive checks is checks where, as opposed to active checks, op5 Monitor don't execute the check it self. Instead it waits for input from an external source, a script or manual input from the GUI. This can be used in distributed setups for example. |
			| check_period | This directive is used to specify during which time_period active checks for this host could be executed. |
			| parallelize_check | Tells op5 Monitor whether the check should be run in parallel with other checks or serial as the only single check being executed at the time. Selecting no here can cause severe performance problems. |
			| obsess | If activated, the obsessive-compulsive service processing (OCSP) command will be executed after each check for this service. |
			| freshness_threshold | Here you can configure the freshness threshold for passive checks in seconds. If you set this to 0, op5 Monitor will automatically determine the threshold. |
			| event_handler | Defines the command that should be run if event handlers are enabled and a status change just occurred. Event handler commands can for example be used to have monitor do something specific if a service goes critical. |
			| event_handler_args | Let you pass arguments to the event handler script |
			| event_handler_enabled | Tells op5 Monitor if event handlers (if configured) should be enabled. This lets op5 Monitor take actions in the event of a status change for a host or service by running an event handler script. |
			| low_flap_threshold | Flap detection is used to suppress notifications in case of 'unstable' hosts or services. This value defines the lower threshold for flapping hosts or services. When this value is reached the host or service is considered not flapping anymore and exits 'flapping state'. The default value is 5 |
			| high_flap_threshold | Flap detection is used to suppress notifications in case of 'flapping' hosts or services. This value defines the upper threshold for status changes of the host or service in percent. When this value is reached the host or service is considered to be flapping. The default value is 20 |
			| flap_detection_enabled | If a host or service pends between an OK and a not OK state, the host / service enters 'flapping' state. Notifications are suppressed the state flapping is displayed in the op5 Monitor GUI.|
			| flap_detection_options | This directive is used to determine what service states the flap detection logic will use for this object. |
			| process_perf_data | Tells monitor whether or not it should log processing performance data. Performance data is check output in a bit more computer friendly format. In op5 Monitor it is used to create graphs for services. |
			| retain_status_information | This tells monitor whether or not it should auto-save the service's / host's STATUS information (OK, CRITICAL and so on) every hour. When you reload Monitor (after changing the configuration, f.e.), the program will then assume that everything is as it was the last time the information was saved.It's generally considered to be a good thing. |
			| retain_nonstatus_information | Tells op5 Monitor whether or not it should auto-save extra information about the host / service every hour. This is useful for continuance in services checking CPU Load, interface traffic and other checks where a longer-term average can be used to define what's critical and such. |
			| notification_interval | This configures the time interval (in minutes) between notifications when a host or service is in a non-OK state. If you set this to 0 only one notification will be sent out, this is considered best practice. If you set this to 10 a notification will be sent out every 10 minutes. |
			| notification_period | Reference to timeperiod_name.Tells monitor during which times notifications should be sent. The date and time of the state change must be within BOTH this period AND the contacts configured period. |
			| notification_options | Defines what notifications that should be sent out for this particular contact. Can be either any combination of down, unreachable, recovery, flapping, or none. |
			| notifications_enabled | Tells monitor if notifications should be sent out when this host or service changes state. If this is set to no, NO notifications will be sent out. |
			| contacts | This is a list of the contacts that should be notified whenever there are problems (or recoveries) with this object. Useful if you want notifications to go to just a few people and don't want to configure contact groups. |
			| contact_groups | List of references to contactgroup_name. Tells monitor which contacts should receive notifications when the service / host in question changes state. |
			| stalking_options | Stalking is a debug feature that makes op5 Monitor log every status change for a specific host or service. This directive lets you configure what status changes it should log. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |
			| notes | Free text field where you can enter more descriptive information for the Host or Service |
			| notes_url | Here you can store an URL of your own choice, the idea is that you should be able to create a link to a specific documentation page for the host or service. On the op5 System we provide a wiki for this purpose, try setting the notes URL to '/dokuwiki/doku.php/hosts/$HOSTNAME$' for your host or '/dokuwiki/doku.php/hosts/$HOSTNAME$/<service identifier>' for services. |
			| action_url | This directive is used to define an optional URL that can be used to provide more actions on the host. If you specify an URL, you will see a link that says, Extra Host Actions, when you are viewing information about the specified host. Any valid URL can be used. |
			| icon_image | Defines the icon that will be used at status pages in the web GUI |
			| icon_image_alt | Definies the alt text that appears when you put the cursor over the icon. |

	@case-598
	@asmonitor @nacoma
	Scenario: Service template helptexts
		When I click "Service templates"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| name | The name to use when the object is being called as a template. Variables set within the object in question always overrides those set in the used template(s). |
			| display_name | This directive is used to define an alternate name that should be displayed in the web interface for this object. Note: The current CGIs do not use this option, although future versions of the web interface will.|
			| is_volatile | Volatile services differ from "normal" services in three important ways |
			| check_command | Reference pointer to command_name. This tells Monitor which command should be run to determine status of the host or service. |
			| check_command_args | Arguments that can be passed to the command_name. Some check_commands needs arguments and some doesn't, the easiest way to find out is to take a look at the actual command. If you need to define several arguments, separate them with '!' |
			| servicegroups | A list of service groups that this service is a member of. |
			| initial_state | By default op5 Monitor will assume that all hosts are in UP states when in starts. You can override the initial state for an object by using this directive. Note that this has no effect if state retention is enabled, which is the default on op5 installations. |
			| max_check_attempts | Tells op5 Monitor how many times it should retry a service / host before it the status changes to HARD. It is only when a service / host changes its HARD state that a notification is sent out. The service / host will, however, be displayed in accordance to it's SOFT state in the web interface immediately when the state changes. |
			| check_interval | Tells Monitor how often (in minutes) it should check the services. |
			| retry_interval | Tells op5 Monitor how many minutes it should wait before retrying a check that is in a non-OK state. |
			| active_checks_enabled | Tells op5 Monitor whether or not active checks should be performed for this host or service. An active check is when op5 Monitor does the check opposite to passive checks where Monitor receives the check result from an external source |
			| passive_checks_enabled | Tells whether this service accept passive check results or not. Passive checks is checks where, as opposed to active checks, op5 Monitor don't execute the check it self. Instead it waits for input from an external source, a script or manual input from the GUI. This can be used in distributed setups for example. |
			| check_period | This directive is used to specify during which time_period active checks for this host could be executed. |
			| parallelize_check | Tells op5 Monitor whether the check should be run in parallel with other checks or serial as the only single check being executed at the time. Selecting no here can cause severe performance problems. |
			| obsess | If activated, the obsessive-compulsive service processing (OCSP) command will be executed after each check for this service. |
			| freshness_threshold | Here you can configure the freshness threshold for passive checks in seconds. If you set this to 0, op5 Monitor will automatically determine the threshold. |
			| event_handler | Defines the command that should be run if event handlers are enabled and a status change just occurred. Event handler commands can for example be used to have monitor do something specific if a service goes critical. |
			| event_handler_args | Let you pass arguments to the event handler script |
			| event_handler_enabled | Tells op5 Monitor if event handlers (if configured) should be enabled. This lets op5 Monitor take actions in the event of a status change for a host or service by running an event handler script. |
			| low_flap_threshold | Flap detection is used to suppress notifications in case of 'unstable' hosts or services. This value defines the lower threshold for flapping hosts or services. When this value is reached the host or service is considered not flapping anymore and exits 'flapping state'. The default value is 5 |
			| high_flap_threshold | Flap detection is used to suppress notifications in case of 'flapping' hosts or services. This value defines the upper threshold for status changes of the host or service in percent. When this value is reached the host or service is considered to be flapping. The default value is 20 |
			| flap_detection_enabled | If a host or service pends between an OK and a not OK state, the host / service enters 'flapping' state. Notifications are suppressed the state flapping is displayed in the op5 Monitor GUI.|
			| flap_detection_options | This directive is used to determine what service states the flap detection logic will use for this object. |
			| process_perf_data | Tells monitor whether or not it should log processing performance data. Performance data is check output in a bit more computer friendly format. In op5 Monitor it is used to create graphs for services. |
			| retain_status_information | This tells monitor whether or not it should auto-save the service's / host's STATUS information (OK, CRITICAL and so on) every hour. When you reload Monitor (after changing the configuration, f.e.), the program will then assume that everything is as it was the last time the information was saved.It's generally considered to be a good thing. |
			| retain_nonstatus_information | Tells op5 Monitor whether or not it should auto-save extra information about the host / service every hour. This is useful for continuance in services checking CPU Load, interface traffic and other checks where a longer-term average can be used to define what's critical and such. |
			| notification_interval | This configures the time interval (in minutes) between notifications when a host or service is in a non-OK state. If you set this to 0 only one notification will be sent out, this is considered best practice. If you set this to 10 a notification will be sent out every 10 minutes. |
			| notification_period | Reference to timeperiod_name.Tells monitor during which times notifications should be sent. The date and time of the state change must be within BOTH this period AND the contacts configured period. |
			| notification_options | Defines what notifications that should be sent out for this particular contact. Can be either any combination of down, unreachable, recovery, flapping, or none. |
			| notifications_enabled | Tells monitor if notifications should be sent out when this host or service changes state. If this is set to no, NO notifications will be sent out. |
			| contacts | This is a list of the contacts that should be notified whenever there are problems (or recoveries) with this object. Useful if you want notifications to go to just a few people and don't want to configure contact groups. |
			| contact_groups | List of references to contactgroup_name. Tells monitor which contacts should receive notifications when the service / host in question changes state. |
			| stalking_options | Stalking is a debug feature that makes op5 Monitor log every status change for a specific host or service. This directive lets you configure what status changes it should log. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |
			| notes | Free text field where you can enter more descriptive information for the Host or Service |
			| notes_url | Here you can store an URL of your own choice, the idea is that you should be able to create a link to a specific documentation page for the host or service. On the op5 System we provide a wiki for this purpose, try setting the notes URL to '/dokuwiki/doku.php/hosts/$HOSTNAME$' for your host or '/dokuwiki/doku.php/hosts/$HOSTNAME$/<service identifier>' for services. |
			| action_url | This directive is used to define an optional URL that can be used to provide more actions on the host. If you specify an URL, you will see a link that says, Extra Host Actions, when you are viewing information about the specified host. Any valid URL can be used. |
			| icon_image | Defines the icon that will be used at status pages in the web GUI |
			| icon_image_alt | Definies the alt text that appears when you put the cursor over the icon. |

	@case-607
	@asmonitor @nacoma
	Scenario: Service group helptexts
		When I click "Service groups"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| servicegroup_name | The short name for the service group |
			| alias | A longer description of the object. Tip: use descriptions that makes it easier to understand what kind of object this is. For example, 'Core switch1 at main office' for a host or perhaps 'John Doe' for a contact. |
			| members | A list of objects (i.e. host_name for hostgroups or contacts for contactgroups). |
			| notes | Free text field where you can enter more descriptive information for the Host or Service |
			| notes_url | Here you can store an URL of your own choice, the idea is that you should be able to create a link to a specific documentation page for the host or service. On the op5 System we provide a wiki for this purpose, try setting the notes URL to '/dokuwiki/doku.php/hosts/$HOSTNAME$' for your host or '/dokuwiki/doku.php/hosts/$HOSTNAME$/<service identifier>' for services. |
			| action_url | This directive is used to define an optional URL that can be used to provide more actions on the host. If you specify an URL, you will see a link that says, Extra Host Actions, when you are viewing information about the specified host. Any valid URL can be used. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-618
	@asmonitor @nacoma
	Scenario: Contact helptexts
		When I click "Contacts"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| template | The name of a template to use for this object. Templates can be used to set 'default' values for variables that normally doesn't change. By doing this you don't need to configure these variables every time you configure a new host, service or some other object. |
			| contact_name | The identifying name of this particular contact. Tip: use your usual username. |
			| alias | A longer description of the object. Tip: use descriptions that makes it easier to understand what kind of object this is. For example, 'Core switch1 at main office' for a host or perhaps 'John Doe' for a contact. |
			| host_notifications_enabled | This directive is used to determine whether or not the contact will receive notifications about host problems and recoveries. |
			| service_notifications_enabled | This directive is used to determine whether or not the contact will receive notifications about service problems and recoveries. |
			| can_submit_commands | Controls whether or not the user this contact refers to can submit commands. |
			| retain_status_information | This tells monitor whether or not it should auto-save the service's / host's STATUS information (OK, CRITICAL and so on) every hour. When you reload Monitor (after changing the configuration, f.e.), the program will then assume that everything is as it was the last time the information was saved.It's generally considered to be a good thing. |
			| retain_nonstatus_information | Tells op5 Monitor whether or not it should auto-save extra information about the host / service every hour. This is useful for continuance in services checking CPU Load, interface traffic and other checks where a longer-term average can be used to define what's critical and such. |
			| host_notification_period | Reference to timeperiod_name a timeperiod during which notifications will be sent out for the host. |
			| service_notification_period | Reference to timeperiod_name. A timeperiod during which notifications will be sent out for services. |
			| host_notification_options | Defines what notifications for hosts that should be sent out. Can be either any combination of down, unreachable, recovery, flapping, or none. |
			| service_notification_options | List of notification options for the service.Can be either any combination of critical, warning, unknown, recovery, flapping or none. |
			| host_notification_cmds | Reference pointer to command_name. The command that should be executed to send out notifications when the host changes state. |
			| host_notification_cmds_args | Let you pass arguments to the host_notification_command. |
			| service_notification_cmds | Reference pointer to command_name. The notification command to execute when a notification is supposed to be sent out. |
			| service_notification_cmds_args | Arguments that you might want to pass to the notification command |
			| contactgroups | This is used to define which contactgroups the contact is a member of. The contact can be member of one or more contactgroups. |
			| email | The contact's email address, will be used to deliver email notifications to this contact. |
			| pager | The contacts cellphone or pager number. Must begin with country code WITHOUT leading '+'-sign (46317740924 for example). |
			| address1 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address2 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address3 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address4 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address5 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address6 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-597
	@asmonitor @nacoma
	Scenario: Contact template helptexts
		When I click "Contact templates"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| name | The name to use when the object is being called as a template. Variables set within the object in question always overrides those set in the used template(s). |
			| host_notifications_enabled | This directive is used to determine whether or not the contact will receive notifications about host problems and recoveries. |
			| service_notifications_enabled | This directive is used to determine whether or not the contact will receive notifications about service problems and recoveries. |
			| can_submit_commands | Controls whether or not the user this contact refers to can submit commands. |
			| retain_status_information | This tells monitor whether or not it should auto-save the service's / host's STATUS information (OK, CRITICAL and so on) every hour. When you reload Monitor (after changing the configuration, f.e.), the program will then assume that everything is as it was the last time the information was saved.It's generally considered to be a good thing. |
			| retain_nonstatus_information | Tells op5 Monitor whether or not it should auto-save extra information about the host / service every hour. This is useful for continuance in services checking CPU Load, interface traffic and other checks where a longer-term average can be used to define what's critical and such. |
			| host_notification_period | Reference to timeperiod_name a timeperiod during which notifications will be sent out for the host. |
			| service_notification_period | Reference to timeperiod_name. A timeperiod during which notifications will be sent out for services. |
			| host_notification_options | Defines what notifications for hosts that should be sent out. Can be either any combination of down, unreachable, recovery, flapping, or none. |
			| service_notification_options | List of notification options for the service.Can be either any combination of critical, warning, unknown, recovery, flapping or none. |
			| host_notification_cmds | Reference pointer to command_name. The command that should be executed to send out notifications when the host changes state. |
			| host_notification_cmds_args | Let you pass arguments to the host_notification_command. |
			| service_notification_cmds | Reference pointer to command_name. The notification command to execute when a notification is supposed to be sent out. |
			| service_notification_cmds_args | Arguments that you might want to pass to the notification command |
			| contactgroups | This is used to define which contactgroups the contact is a member of. The contact can be member of one or more contactgroups. |
			| email | The contact's email address, will be used to deliver email notifications to this contact. |
			| pager | The contacts cellphone or pager number. Must begin with country code WITHOUT leading '+'-sign (46317740924 for example). |
			| address1 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address2 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address3 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address4 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address5 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| address6 | address1 to address6 variables are used to define additional addresses for a contact. These addresses can be anything - pstn numbers, instant messaging, addresses, etc. Depending on how you configure your notification commands, they can be used to send out a notification to the contact. |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-612
	@asmonitor @nacoma
	Scenario: Contact group helptexts
		When I click "Contact groups"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| contactgroup_name | Identifies or refers to a particular contactgroup within op5 Monitor. This, like ALL variables ending in '_name', must be a unique name. |
			| alias | A longer description of the object. Tip: use descriptions that makes it easier to understand what kind of object this is. For example, 'Core switch1 at main office' for a host or perhaps 'John Doe' for a contact. |
			| members | A list of objects (i.e. host_name for hostgroups or contacts for contactgroups). |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@asmonitor @nacoma
	Scenario: Command helptext
		When I click "Commands"
		Then I should see the following nacoma helptexts:
			| row | helptext |
			| command_name | Name / description for the command. Good practise is to use check_ followed by a descriptive name for the test, for example check_http for a simple HTTP check. This, like ALL variables ending in '_name', must be a unique name. |
			| command_line | This is the shell command that will be executed |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |

	@case-627
	@bug5134 @asmonitor @nacoma
	Scenario: Timeperiod helptext
		When I click "Time periods"
		Then I should not see undefined helptexts
		And I should see the following nacoma helptexts:
			| row | helptext |
			| timeperiod_name | This directives is the short name used to identify the time period. |
			| alias | A longer description of the object. Tip: use descriptions that makes it easier to understand what kind of object this is. For example, 'Core switch1 at main office' for a host or perhaps 'John Doe' for a contact. |
			| exclude | Other timeperiod definitions that should be excluded from this timeperiod. |
			| sunday | This is a comma-delimited lists of time ranges that are included for a particular day of the week. Each time range is in the form of HH:MM-HH:MM. For example, 00:00-24:00 includes the whole day |
			| monday | This is a comma-delimited lists of time ranges that are included for a particular day of the week. Each time range is in the form of HH:MM-HH:MM. For example, 00:00-24:00 includes the whole day |
			| tuesday | This is a comma-delimited lists of time ranges that are included for a particular day of the week. Each time range is in the form of HH:MM-HH:MM. For example, 00:00-24:00 includes the whole day |
			| wednesday | This is a comma-delimited lists of time ranges that are included for a particular day of the week. Each time range is in the form of HH:MM-HH:MM. For example, 00:00-24:00 includes the whole day |
			| file_id | Tells op5 Monitor in which file this object should be stored. This can come in handy if you are used to edit the configuration directly in the text files. For security reasons, file creation through the web-interface is not supported. Note: if uncertain, just leave it. |
			| exception type | Date indicates an exception based on calendar dates, whereas day is an exception based upon days of the week. |
			| date interval | Choose either a single date or a range of dates to be excepted from the timeperiod. |
			| hours | This is a comma-delimited lists of time ranges excluded by the exception for each day. Each time range is in the form of HH:MM-HH:MM. For example, 00:00-24:00 includes the whole day |
			| add/save buttons | Click the Add |
			| added exceptions | All exceptions for the current timeperiod. |
			| remove and edit buttons | Remove allows you to remove any number of selected exceptions. Edit allows you to change an existing exception. Select an exception and click the button to populating the input fields with the chosen exception. When editing, the Add button is replaced by Save and Cancel. Save replaces the exception currently being edited, while Cancel discards all changes. |

	@asmonitor @nacoma
	Scenario: Local Users helptext
		When I click "Local users"
		Then I should not see undefined helptexts

	@asmonitor @nacoma
	Scenario: Assign group rights helptext
		When I click "Assign group rights"
		Then I should not see undefined helptexts

	@asmonitor @nacoma
	Scenario: Auth Modules helptext
		When I click "Auth modules"
		Then I should not see undefined helptexts

	@asmonitor @nacoma
	Scenario: Graph Collections helptext
		When I click "Graph collections"
		Then I should not see undefined helptexts
