Feature: Host
	Test that hosts can be created using the host wizard, then deleted, and
	that you could add a new host back again afterwards.

	@case-555
	@asmonitor @nacoma
	Scenario: Create new host
		When I click "Add new hosts"
		Then I should see "New host"
		And I enter "test_1" into "host_name"
		And I enter "test_1" into "alias"
		And I enter "127.0.0.1" into "address"
		And I click "scanBtn"
		Then I should see "Service Scan" waiting patiently
		When I check "Select all"
		Then "PING" should be checked
		And "HTTP Server" should be checked
		When I uncheck "HTTP Server"
		And I click "Finish" waiting patiently
		Then I should see "Added 1 host."
		#And I should see "PING"
		#And I shouldn't see "HTTP Server"
		And I should see "You have unsaved configuration changes"
		When I save config
		And I click configure
		Then I should see "This is the op5 Monitor Configuration tool"
		When I select "test_1"
		And I click "Go"
		Then I should see "Services for host test_1"
		Then "host_name" should contain "test_1"
		And "alias" should contain "test_1"
		And "address" should contain "127.0.0.1"

	@case-556
	@asmonitor @nacoma
	Scenario: Edit host
		When I select "test_1"
		And I click "Go"
		Then I should see "Services for host test_1"
		Then "host_name" should contain "test_1"
		When I enter "flubb" into "alias"
		And I click "Submit"
		Then I should see "You have unsaved configuration changes"
		When I save config
		And I click configure
		Then I should see "This is the op5 Monitor Configuration tool"
		When I select "test_1"
		And I click "Go"
		Then I should see "Services for host test_1"
		Then "host_name" should contain "test_1"
		And "alias" should contain "flubb"

	@case-568
	@asmonitor @nacoma
	Scenario: Edit host - advanced
		When I select "test_1"
		And I click "Go"
		Then I shouldn't see "notes"
		And I click "advanced"
		Then I should see "notes"
		When I enter "3" into "low_flap_threshold"
		And I click "Submit"
		Then I shouldn't see "notes"
		And "low_flap_threshold" should contain "3"

	@case-568
	@asmonitor @nacoma
	Scenario: Test host command
		When I select "test_1"
		And I click "Go"
		And I click "advanced"
		And I select "check-host-alive" from "check_command"
		And I click "Syntax help"
		Then I should see "Command line of selected check command"
		When I click "Hide syntax help"
		Then I shouldn't see "Command line of selected check command"
		When I click "Test this host"
		Then I should see "Result code: UP"
		And I should see "OK - 127.0.0.1 responds to ICMP"
		And I should see "_USER2_/check_host -H 127.0.0.1"
		When I click "Hide test"
		Then I shouldn't see "Result code"

	@todo
	@bug-6169
	@asmonitor @nacoma
	Scenario: Test host command as simple
		When I select "test_1"
		And I click "Go"
		#And I select "check-host-alive" from "check_command"
		#And I click "Syntax help"
		#Then I should see "Command line of selected check command"
		#When I click "Hide syntax help"
		#Then I shouldn't see "Command line of selected check command"
		#When I click "Test this host"
		#Then I should see "Result code: UP"
		#And I should see "_USER2_/check_host -H 127.0.0.1"
		#When I click "Hide test"
		#Then I shouldn't see "Result code"

	@case-557
	@asmonitor @nacoma
	Scenario: Scan for network services
		When I select "test_1"
		And I click "Go"
		Then I should see "Services for host test_1"
		When I click "Scan host for network services"
		Then I should see "Network Probe: Service Scan"
		When I check "Select all"
		Then "HTTP Server" should be checked
		When I click "Finish"
		Then I should see "You have unsaved configuration changes"
		When I save config
		And I click configure
		Then I should see "This is the op5 Monitor Configuration tool"
		And I select "test_1"
		And I click "Go"
		Then I should see "Services for host test_1"
		When I click "Services for host test_1"
		And I select "HTTP Server" in the service selector
		And I click "Go" in the service selector
		Then I should see "HTTP Server"
		When I click "Host configuration: test_1"
		And I click "Scan host for network services"
		Then I should see "Network Probe: Service Scan"
		And I should see "No additional services found for this host"

	@case-558
	@asmonitor @nacoma
	Scenario: Scan for SNMP services
		When I select "test_1"
		And I click "Go"
		Then I should see "Services for host test_1"
		When I click "Scan host for SNMP interfaces"
		And I enter "public" into "snmp_community"
		And I click "Scan hosts"
		Then I should see "No active interfaces found"

	@case-569
	@asmonitor @nacoma
	Scenario: Delete the new host
		When I select "test_1"
		And I click "Go"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 host object"
		When I save config
		And I click configure
		Then I should see "This is the op5 Monitor Configuration tool"
		When I click "Add new hosts"
		And I enter "test_1" into "host_name"
		And I click "scanBtn"
		Then I should see "Initial Service Settings" waiting patiently

	@case-560
	@asmonitor @nacoma
	Scenario: Autoscan for hosts
		When I click "Add new hosts"
		Then I should see "New host"
		When I click "Network scan"
		Then I should see "Network scan, step 1"
		When I enter "172.27.87.80" into "ip_range"
		And I click "Scan Ranges"
		Then "new_host[-1][host_name]" should contain "dns1.op5.com"
		And "new_host[-1][address]" should contain "172.27.87.80"
		When I click "Add services"
		Then I should see "Initial service settings "
		And I should see "Nameserver"
		And I should see "PING"
