Feature: Local Users
	Create, delete

	@case-628
	@asmonitor @nacoma
	Scenario: Create local user
		When I click "Local users"
		And I enter "test_user" into "user[new][username]"
		And I enter "abc123" into "user[new][password][1]"
		And I enter "abc123" into "user[new][password][2]"
		And I select "guest" from "user_tmp[new][groups][]"
		And I doubleclick "guest" from "user_tmp[new][groups][]"
		And I click "Submit"
		Then I should see "test_user"
	
	Scenario: Login with local user
		When I am on the main page
		And I enter "test_user" into "username"
		And I enter "test_user" into "password"
		And I click "Login"
		Then I should see "Login failed - please try again"
		When I enter "test_user" into "username"
		And I enter "abc123" into "password"
		And I click "Login"
		Then I should see "Tactical overview"

	@case-629
	@asmonitor @nacoma
	Scenario: Change password of local user
		When I click "Local users"
		And I enter "abc124" into "user[test_user][password][1]"
		And I enter "abc124" into "user[test_user][password][2]"
		And I click "Submit"
		Then I should see "test_user"

	Scenario: Login with local user and modified password
		When I am on the main page
		And I enter "test_user" into "username"
		And I enter "abc123" into "password"
		And I click "Login"
		Then I should see "Login failed - please try again"
		When I enter "test_user" into "username"
		And I enter "abc124" into "password"
		And I click "Login"
		Then I should see "Tactical overview"

	@asmonitor @nacoma
	Scenario: Delete local user
		When I click "Local users"
		Then I should see "test_user"
		When I click css "a[href$=test_user][title^=Delete]"
		And I confirm popup
		Then I should see "Removing user 'test_user'"

	Scenario: Fail to login with deleted local user
		When I am on the main page
		And I enter "test_user" into "username"
		And I enter "abc123" into "password"
		And I click "Login"
		Then I should see "Login failed - please try again"
		When I enter "test_user" into "username"
		And I enter "abc124" into "password"
		And I click "Login"
		Then I should see "Login failed - please try again"

