Feature: Services
	Add and delete a service

	@asmonitor @nacoma
	Scenario: Add service
		When I select "monitor"
		And I click "Go"
		And I click "Services for host monitor"
		And I enter "test service" into "service_description"
		And I enter "88" into "check_command_args"
		And I click "Submit"
		Then I should see "Successfully changed 1 service object"
		When I click "copy"
		Then "service_description" should contain ""
		And "check_command_args" should contain "88"
		Then I save config

	@case-571
	@asmonitor @nacoma
	Scenario: Edit service
		When I select "monitor"
		And I click "Go"
		And I click "Services for host monitor"
		And I select "test service" in the service selector
		And I click "Go" in the service selector
		Then I should see "test service"
		And "check_command_args" should contain "88"
		When I enter "test service2" into "service_description"
		And I click "Submit"
		Then I should see "Successfully changed 1 service object"
		When I save config
		And I click configure
		And I select "monitor"
		And I click "Go"
		And I click "Services for host monitor"
		Then "obj_id" should have option "test service2" in the service selector
		And "obj_id" shouldn't have option "test service" in the service selector

	@case-571
	@asmonitor @nacoma
	Scenario: Test service commands
		When I select "monitor"
		And I click "Go"
		And I click "Services for host monitor"
		And I select "test service2" in the service selector
		And I click "Go" in the service selector
		And I click "advanced"
		And I select "check-host-alive" from "check_command"
		And I click "Syntax help"
		Then I should see "Command line of selected check command"
		When I click "Hide syntax help"
		Then I shouldn't see "Command line of selected check command"
		When I click "Test this service"
		Then I should see "responds to ICMP"
		And I should see "_USER2_/check_host -H localhost"
		And I should see "Result code: OK"
		When I click "Hide test"
		Then I shouldn't see "Plugin return code"
		When I click "Edit check command"
		Then "command_name" should contain "check-host-alive"

	@bug-6169
	@asmonitor @nacoma
	Scenario: Test service commands as simple
		When I select "monitor"
		And I click "Go"
		And I click "Services for host monitor"
		And I select "test service2" in the service selector
		And I click "Go" in the service selector
		And I select "check-host-alive" from "check_command"
		And I click "Syntax help"
		Then I should see "Command line of selected check command"
		When I click "Hide syntax help"
		Then I shouldn't see "Command line of selected check command"
		When I click "Test this service"
		Then I should see "responds to ICMP"
		And I should see "_USER2_/check_host -H localhost"
		And I should see "Result code: OK"
		When I click "Hide test"
		Then I shouldn't see "Plugin return code"
		When I click "Edit check command"
		Then "command_name" should contain "check-host-alive"

	@asmonitor @nacoma
	Scenario: Add hostgroup service
		When I click "Host groups"
		And I select "unix-servers"
		And I click "Go"
		And I click "Services for hostgroup unix-servers"
		And I enter "test_service" into "service[new][service_description]"
		And I click "Submit"
		Then I should see "Successfully changed 1 service object"
		When I click "escalations"
		And I enter "1" into "serviceescalation[new][first_notification]"
		And I enter "1" into "serviceescalation[new][last_notification]"
		And I enter "1" into "serviceescalation[new][notification_interval]"
		And I click "Submit"
		Then I should see "Successfully changed 1 serviceescalation object"
		When I save config

	@asmonitor @nacoma
	Scenario: Delete hostgroup service
		When I click "Host groups"
		And I select "unix-servers"
		And I click "Go"
		And I click "Services for hostgroup unix-servers"
		And I select "test_service"
		And I click xpath "//form[@id='bar_form']//input[@value='Go'][@type='submit']"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 service object."
		When I save config

	@case-580
	@asmonitor @nacoma
	Scenario: Clone service
		When I select "monitor"
		And I click "Go"
		And I click "Services for host monitor"
		And I select "test service"
		And I click "Go" in the service selector
		And I click "clone"
		And I select "win-server1 - Windows 2000 Server" from "selected_hosts_tmp[]"
		And I doubleclick "win-server1 - Windows 2000 Server" from "selected_hosts_tmp[]"
		And I click "Clone"
		Then I should see "Created 1 clones from 1 services to 1 hosts"
		And I save config
	
	@asmonitor @nacoma
	Scenario: Delete clone
		When I select "win-server1"
		And I click "Go"
		And I click "Services for host win-server1"
		And I select "test service"
		And I click "Go" in the service selector
		And I click "Delete"
		Then I should see "Deleted 1 service object"
		And I save config

	@asmonitor @nacoma
	Scenario: Clone many services
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I click "Clone Service(s)"
		And I select "linux-server1;Zombie Processes" from "from_slaves_tmp[]"
		And I doubleclick "linux-server1;Zombie Processes" from "from_slaves_tmp[]"
		And I select "unix-servers - Unix / Linux Servers" from "selected_host_groups_tmp[]"
		And I doubleclick "unix-servers - Unix / Linux Servers" from "selected_host_groups_tmp[]"
		And I select "switch1 - Switch 1" from "selected_hosts_tmp[]"
		And I doubleclick "switch1 - Switch 1" from "selected_hosts_tmp[]"
		And I select "win-servers - Windows Servers" from "selected_hostgroups_tmp[]"
		And I doubleclick "win-servers - Windows Servers" from "selected_hostgroups_tmp[]"
		And I click "Clone"
		Then I should see "Couldn't save service monitor;Zombie Processes"
		And I shouldn't see regex "Couldn't save service (?!monitor;Zombie Processes)"
		And I should see regex "Created [1-9] clones from 1 services to [1-9] hosts, 1 hostgroups"

	@asmonitor @nacoma
	Scenario: Clone many cleanup
		When I click undo config
		And I accept alert
		Then I should see "This is the op5 Monitor Configuration tool"

	@asmonitor @nacoma
	Scenario: Clone services by template
		When I click "Host groups"
		And I enter "testgroup" into "hostgroup[new][hostgroup_name]"
		And I enter "testgroup" into "hostgroup[new][alias]"
		And I select "linux-server1" from "hostgroup_tmp[new][members][]"
		And I doubleclick "linux-server1" from "hostgroup_tmp[new][members][]"
		And I click "Submit"
		And I click configure
		And I click "Host templates"
		And I enter "testtmpl" into "host_template[new][name]"
		And I select "testgroup" from "host_template_tmp[new][hostgroups][]"
		And I doubleclick "testgroup" from "host_template_tmp[new][hostgroups][]"
		And I click "Submit"
		And I click configure
		And I click "Add new hosts"
		And I select "testtmpl" from "new_host[-1][template]"
		And I enter "foo" into "new_host[-1][host_name]"
		And I click "scanBtn"
		Then I shouldn't see "A host named foo already exists"
		When I check "check[-1][net_ping]"
		And I click "Finish"
		And I click "foo" waiting patiently
		And I click "clone"
		And I click "Clone"
		And I enter "bar" into "clone_detail[0][host_name]"
		And I enter "bar" into "clone_detail[0][alias]"
		And I enter "bar" into "clone_detail[0][address]"
		And I click "Create host clones"
		And I click configure
		And I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "Disk usage /"
		And I click xpath "//form[@id='bar_form']//input[@value='Go'][@type='submit']"
		And I click "clone"
		And I select "testgroup - testgroup" from "selected_host_groups_tmp[]"
		And I doubleclick "testgroup - testgroup" from "selected_host_groups_tmp[]"
		And I click "Clone"
		Then I should see "Created 2 clones from 1 services to 2 hosts"

	@asmonitor @nacoma
	Scenario: Clone services by template cleanup
		When I click "Go"
		And I click "Bulk delete objects"
		And I select "foo -" from "selected_hosts_tmp[]"
		And I select "bar - bar" from "selected_hosts_tmp[]"
		And I doubleclick "bar - bar" from "selected_hosts_tmp[]"
		And I click "Delete"
		And I enter nacoma
		And I click "Host templates"
		And I select "testtmpl"
		And I click "Go"
		And I click "Delete"
		And I enter nacoma
		And I click "Host groups"
		And I select "testgroup"
		And I click "Go"
		And I click "Delete"
		And I save config

	@case-583
	@asmonitor @nacoma
	Scenario: Delete service
		When I select "monitor"
		And I click "Go"
		And I click "Services for host monitor"
		And I select "test service2" in the service selector
		And I click "Go" in the service selector
		And I click "Delete"
		Then I should see "Deleted 1 service object"
		When I save config

