Feature: Timeperiods
	Create and delete

	@case-623
	@asmonitor @nacoma
	Scenario: Create timeperiod
		When I click "Time periods"
		And I enter "test_time_period" into "timeperiod[new][timeperiod_name]"
		And I enter "some_stuff" into "timeperiod[new][alias]"
		And I enter "00:00-24:00" into "timeperiod[new][sunday]"
		And I enter "00:00-24:00" into "timeperiod[new][monday]"
		And I enter "00:00-24:00" into "timeperiod[new][tuesday]"
		And I enter "00:00-24:00" into "timeperiod[new][wednesday]"
		And I enter "00:00-24:00" into "timeperiod[new][thursday]"
		And I enter "00:00-24:00" into "timeperiod[new][friday]"
		And I enter "00:00-24:00" into "timeperiod[new][saturday]"
		And I click "Submit"
		Then I should see "Successfully changed 1 timeperiod object"
		And I save config

	@case-624
	@asmonitor @nacoma
	Scenario: Create timeperiod with exceptions
		When I click "Time periods"
		And I enter "test_timeperiod_with_exceptions" into "timeperiod_name"
		And I enter "some_stuff" into "alias"
		And I enter "00:00-24:00" into "sunday"
		And I choose "Guided"
		And I choose "Day"
		And I choose "Single day"
		And I select "second to last" from "single_weekday_offset"
		And I select "wednesday" from "single_weekday_name"
		And I select "June" from "single_weekday_month"
		And I enter "16:00-16:30" into "Hours"
		And I click "Add"
		Then "Added exceptions" should have option "wednesday -2 june (16:00-16:30)"
		When I choose "Guided"
		And I choose "Date"
		And I choose "Single date"
		And I select "2016" from "date_single_year"
		And I select "January" from "date_single_month"
		And I select "02" from "date_single_day"
		And I enter "00:00-24:00" into "Hours"
		And I click "Add"
		Then "Added exceptions" should have option "2016-01-02 (00:00-24:00)"
		When I deselect options in "Added exceptions"
		When I select "wednesday -2 june (16:00-16:30)" from "Added exceptions"
		And I click "Edit"
		Then I should see "Day"
		And "Day" should be checked
		And I should see "Single day"
		And "Single day" should be checked
		And I shouldn't see "Date"
		And "second to last" should be selected from "single_weekday_offset"
		When I deselect options in "Added exceptions"
		When I select "2016-01-02 (00:00-24:00)" from "Added exceptions"
		And I click "Remove"
		Then "Added exceptions" should have option "wednesday -2 june (16:00-16:30)"
		Then "Added exceptions" shouldn't have option "2016-01-02 (00:00-24:00)"
		When I choose "Manual"
		Then "Advanced" should contain "wednesday -2 june  16:00-16:30"
		When I click "Submit"
		Then I should see "Successfully changed 1 timeperiod object"
		And I save config

	@case-625
	@asmonitor @nacoma
	Scenario: Copy timeperiod
		When I click "Time periods"
		And I select "test_timeperiod_with_exceptions"
		And I click "Go"
		And I click "copy"
		Then "sunday" should contain "00:00-24:00"
		And "Added exceptions" should have option "wednesday -2 june (16:00-16:30)"
		When I enter "test_timeperiod_with_exceptions2" into "timeperiod_name"
		And I click "Submit"
		Then I should see "Successfully changed 1 timeperiod object"
		And I save config

	@asmonitor @nacoma
	Scenario: Delete copied timeperiod
		When I click "Time periods"
		And I select "test_timeperiod_with_exceptions2"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 timeperiod object"
		When I save config

	@asmonitor @nacoma
	Scenario: Delete copied timeperiod
		When I click "Time periods"
		And I select "test_timeperiod_with_exceptions"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 timeperiod object"
		When I save config

	@case-626
	@asmonitor @nacoma
	Scenario: Delete timeperiod
		When I click "Time periods"
		And I select "test_time_period"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 timeperiod object"
		When I save config

	@bug5229
	@asmonitor @nacoma
	Scenario: Switch from guided to manual
		When I click "Time periods"
		Then I should see "Exception type"
		When I choose "Manual"
		Then I shouldn't see "Exception type"
		When I choose "Guided"
		Then I should see "Exception type"
