<?php

require_once('devtools/tapunit.php');
require_once('classes/input_class.php');

/**
 * Test higher level functionality in object_class
 * Lower level tests are in oatest.php
 */
class InputTest extends TapUnit
{
	function setup()
	{
		$_REQUEST = array();
		// the input class isn't fed REQUEST, it relies on the
		// global values... soooo, we mock it out by altering the
		// global state everytime. Oh, unit testers around the
		// world, unite and celebrate with me!
	}

	/**
 	 * Connected with Ninja's configuration/configure-action
	 */
	function testConfigureServiceFromWrenchIconInNinja()
	{
		$_REQUEST = array(
			'type' => 'service',
			'host' => 'host-1',
			'service' => 'service-1-9'
		);
		$input = new input_class();
		$this->ok_eq($input->obj_id, 'host-1;service-1-9', "Could not detect obj id for service");
	}
}

if (empty($main_tap))
	$main_tap = new phptap('Input tests');

runUnit('InputTest', $main_tap);
