<?php
// because there's some stuff that just too obscure to create separate test files for

require_once('devtools/tapunit.php');
require_once('include/probe.inc.php');

class MiscTest extends TapUnit
{
	function testGetMerlinNodes() {
		$test_node_show_data = <<<EOS

# poller_name1
ADDRESS=poller_address1
TYPE=poller
PORT=15551
HOSTGROUP=hostgroup_1
NAME=poller_name1

# poller_name2
ADDRESS=poller_address2
TYPE=poller
PORT=15551
HOSTGROUP=hostgroup_4
NAME=poller_name2

# peer_name
ADDRESS=peer_address
TYPE=peer
PORT=15551
NAME=peer_name
EOS
		;
		set_user('host_7', array('op5_admins'));
		$output = parse_merlin_nodes($test_node_show_data);
		$this->ok_eq($output, array('This server', 'poller_name1', 'poller_name2', 'peer_name'), 'get_merlin_nodes returns all nodes to super-users');

		set_user('contact_limited', array('contact_limited'));
		$output = parse_merlin_nodes($test_node_show_data);
		$this->ok_eq($output, array('This server', 'poller_name2', 'peer_name'), "get_merlin_nodes doesn't return all nodes to limited users, but it does return some");
	}
}

if (empty($main_tap))
	$main_tap = new phptap('Object tests');

runUnit('MiscTest', $main_tap);
