<?php
define('TEST_RUN', 1);
if (getenv('COVERAGE')) {
	xdebug_start_code_coverage(XDEBUG_CC_UNUSED | XDEBUG_CC_DEAD_CODE);
	ob_start();
}
require_once('devtools/phptap.php');
$main_tap = new phptap("Webconfig test suite");

$pre_test_commands = array(
	'cp test/phptap/custom_config.php .'
);

foreach ($pre_test_commands as $command) {
	system($command, $status);
	if ($status !== 0) {
		fwrite(STDERR, "$command failed. Exiting.\n");
		exit(2);
	}
}
require_once('include/config.inc.php');
// This is needed to avoid permission denied messages
set_user('host_7', array('op5_admins'));

require_once('helptest.php');
require_once('oatest.php');
require_once('objecttest.php');
require_once('accesstest.php');
require_once('reverttest.php');
require_once('deletetest.php');
require_once('cachetest.php');
require_once('changelogtest.php');
require_once('misctest.php');

# if new tests expects testcfg to be in db, put them above this
require_once('apitest.php');

require_once('exporttest.php');
require_once('inputtest.php');

require_once('specialconfigs.php');

$post_test_commands = array(
	'rm custom_config.php',
	'git checkout test/phptap/configs/yml || :',
);

foreach ($post_test_commands as $command) {
	system($command, $status);
	if ($status !== 0) {
		fwrite(STDERR, "$command failed. You need to do this manually.\n");
	}
}

$exit_code = $main_tap->done(false);

if ($exit_code <= 1) {
	// 1 => tests are TODO or SKIP, but not FAIL
	if (getenv('COVERAGE')) {
		ob_end_clean();
		$output_dir = getenv('COVERAGE');
		require_once('devtools/generate_coverage.php');
		exit(generate_coverage(xdebug_get_code_coverage(), array('devtools', 'test'), $output_dir));
	}
}

exit((int)($exit_code > 1));
